import request from "@/utils/request";

// 查询数据来源统计列表
export function listSourceTj(query) {
  return request({
    url: "/zongzhi/sourceTj/list",
    method: "get",
    params: query,
  });
}

// 查询数据来源统计详细
export function getSourceTj(id) {
  return request({
    url: "/zongzhi/sourceTj/" + id,
    method: "get",
  });
}

// 新增数据来源统计
export function addSourceTj(data) {
  return request({
    url: "/zongzhi/sourceTj",
    method: "post",
    data: data,
  });
}

// 修改数据来源统计
export function updateSourceTj(data) {
  return request({
    url: "/zongzhi/sourceTj",
    method: "put",
    data: data,
  });
}

// 删除数据来源统计
export function delSourceTj(id) {
  return request({
    url: "/zongzhi/sourceTj/" + id,
    method: "delete",
  });
}

// 导出数据来源统计
export function exportSourceTj(data) {
  return request({
    url: "/zongzhi/sourceTj/export",
    method: "post",
    data,
  });
}
